### Method

# Ide DiagnosticsManager get_diagnostics_for_file

#### Declaration

    IdeDiagnostics*
    ide_diagnostics_manager_get_diagnostics_for_file (
      IdeDiagnosticsManager* self,
      GFile* file
    )

#### Description

This function collects all of the diagnostics that have been collected for `file` and returns them as a new `IdeDiagnostics` to the caller.

The `IdeDiagnostics` structure will contain zero items if there are no diagnostics discovered. Therefore, this function will never return a `NULL` value.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile` to retrieve diagnostics for.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeDiagnostics`
| A new `IdeDiagnostics`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.